.slides {
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: -1;
}

.slides {
  display: grid;
  > .slide {
    grid-area: 1 / -1;
  }
  perspective: 600px;
  transform-style: preserve-3d;
}

.slide {
  width: 33vh;
  height: 50vh;
  border-radius: 5%;
  background-size: cover;
  background-position: center center;
  z-index: -1;

  --x: calc(var(--px) - 0.5);
  --y: calc(var(--px) - 0.5);

  /* display: grid;
  align-content: center; */

  transform-style: preserve-3d;

  transform: translateX(calc(18.1vw * var(--offset)))
    rotateY(calc(-25deg * var(--dir)));

  transition: transform 0.5s ease-in-out;
}

.slide[data-active] {
  transform: translateZ(2vw);
  --x: calc(var(--px) - 0.3);
  --y: calc(var(--py) - 0.3);
  &:hover {
    transition: none;
    transform: rotateY(calc(var(--x) * 10deg))
          translateZ(2vw);
    /* rotateX(calc(var(--y) * 25deg))*/
  }
}

.slide-title {
  transform-style: preserve-3d;
  transform: translate3d(2vw, 3vw, 2vw);
  transition: opacity 0.3s linear;
  /* text-shadow: 0 0.1rem 1rem #000; */
  background-color: #ff686880;
  width: fit-content;
  padding-left: 1vw;
  padding-right: 1vw;
  border-radius: 4px;
  box-shadow: 2px 2px 2px 1px #752b2b40;
  color: white;
}

.button-div {
  position: absolute;
  top: 60%;
  transform: translate3d(0vw, -16vh, 12vw);
  padding: 0vw !important;
  left: 25vw;
  width: 50vw;
  height: 0vw;
}

.buttons {
  padding: 0vw !important;
  position: absolute;
  appearance: none;
  background: transparent;
  border: none;
  color: black;
  font-size: 5rem;
  width: 5rem;
  height: 5rem;
  transition: opacity 0.3s;
  z-index: 1000;
  opacity: 65%;
  top: -50%;
  &:hover {
    opacity: 1;
    text-shadow: rgb(255, 255, 254) 1px 0 10px;
  }

  &:focus {
    outline: none;
  }
/*
  &:first-child {
    left: 11vw;
  } */

  &:last-child {
    right: 2vw;
  }
}

.left {
  left: 0vw
}

.genre-button {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  background: none;
  border: none;
  right: 0;
  border-radius: 5%;
}

/* .slide-title {
  transform-style: preserve-3d;
  transform: perspective(1200px) translateZ(2rem);
  transition: opacity 0.3s linear;
  text-shadow: 0 0.1rem 1rem #000;
  --x: calc(var(--px) - 0.5)
} */
